#!/bin/bash

PROG="tclsh ../poApps.tcl"
if [ $# -eq 1 ] ; then PROG=$1 ; fi

OPT="--imgview --nosaveonexit --config ConfigDir"
IMG="testIn/byte-1chan-bu.raw"

echo $PROG $OPT $IMG --version
     $PROG $OPT $IMG --version

echo $PROG $OPT $IMG --help
     $PROG $OPT $IMG --help

echo $PROG $OPT $IMG --helpimg
     $PROG $OPT $IMG --helpimg

echo $PROG $OPT $IMG --helpfile
     $PROG $OPT $IMG --helpfile

echo $PROG $OPT $IMG --helpall
     $PROG $OPT $IMG --helpall

echo $PROG $OPT $IMG --countcolors
     $PROG $OPT $IMG --countcolors

echo $PROG $OPT $IMG --countcolors --verbose
     $PROG $OPT $IMG --countcolors --verbose

echo $PROG $OPT $IMG --histogram
     $PROG $OPT $IMG --histogram

echo $PROG $OPT $IMG --rawinfo
     $PROG $OPT $IMG --rawinfo
